Package ch.qos.logback.core.boolex

# Interface EventEvaluator<E>

All Superinterfaces:
  `ContextAware`, `LifeCycle`

All Known Implementing Classes:
  `EventEvaluatorBase`, `JaninoEventEvaluator`, `JaninoEventEvaluator`, `JaninoEventEvaluatorBase`, `OnErrorEvaluator`, `OnMarkerEvaluator`, `URLEvaluator`

public interface EventEvaluator<E> extends ContextAware, LifeCycle
Evaluates whether a given an event matches user-specified criteria.

Implementations are free to evaluate the event as they see fit. In particular, the evaluation results may depend on previous events.

Author:
  Ceki Gülcü

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(E event)`
Evaluates whether the event passed as parameter matches some user-specified criteria.
`String`
`getName()`
Evaluators are named entities.
`void`
`setName(String name)`
Evaluators are named entities.

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

`isStarted, start, stop`

## Method Details

### evaluate

boolean evaluate(E event) throws NullPointerException, EvaluationException
Evaluates whether the event passed as parameter matches some user-specified criteria.

The `Evaluator` is free to evaluate the event as it pleases. In particular, the evaluation results may depend on previous events.

Parameters:
  `event` - The event to evaluate
Returns:
  true if there is a match, false otherwise.
Throws:
  `NullPointerException` - can be thrown in presence of null values
  `EvaluationException` - may be thrown during faulty evaluation

### getName

String getName()
Evaluators are named entities.

Returns:
  The name of this evaluator.

### setName

void setName(String name)
Evaluators are named entities.